# gbuild-sub.sh
# Runs a function from a package build script in a subprocess (in the build
# directory), isolating it from gbuild implementation details.
# J. Welsh, 2017

set -e

# Empty defaults for functions that may be omitted
build () { :; }
check () { :; }

. ./build.sh

Q=$P-$MAJOR.$MINOR-$V
JOBS=1
[ -f /etc/gbuild.conf ] && . /etc/gbuild.conf

[ "$1" = package ] && . ./ar.sh
$1
