P=libevent
V=2.1.8
MAJOR=0
MINOR=1

# Build requires: autoconf automake libtool

S="
$P-$V-stable.tar.gz
"

SHA512="
a2fd3dd111e73634e4aeb1b29d06e420b15c024d7b47778883b5f8a4ff320b5057a8164c6d50b53bd196c79d572ce2639fe6265e03a93304b09c22b41e4c2a17  libevent-2.1.8-stable.tar.gz
"

build () {
	tar xf $P-$V-stable.tar.gz
	cd $P-$V-stable
	rm Makefile.in aclocal.m4 configure config.h.in config.guess config.sub compile depcomp install-sh ltmain.sh missing m4/libtool.m4 m4/lt*.m4
	autoreconf -fisv
	CFLAGS="-g -O1" ./configure \
		--prefix=/gales/pkg/$Q \
		--disable-openssl \
		--disable-debug-mode \
		--disable-libevent-regress \
		--disable-samples \
		--disable-shared \
		--disable-silent-rules
	make -j$JOBS
	make install DESTDIR=$PWD/../root
}

check () {
	cd $P-$V-stable
	make check
}

package () {
	r=gales/pkg/$Q
	cd root/$r
	a $r/bin
	a $r/include
	cd lib
	for l in event event_core event_extra event_pthreads; do
		F $r/lib/lib$l.a
	done
	l gales/pkg/$P $Q
}
