P=mdadm
V=3.4
MAJOR=0
MINOR=0

S="
$P-$V.tar.gz
mdadm-3.4-warnings.patch
"

SHA512="
f62dbe23a86be20bd30f96f32a681832c66b743a383f97d78ef2aa40153364b4206fe03cc54f5b0855dda616f7d224d51136b7bb1e1d7b8a3cb8f367923d845a  mdadm-3.4.tar.gz
"

build () {
	root=$PWD/root
	tar xzf $P-$V.tar.gz
	cd $P-$V
	patch -p1 <../mdadm-3.4-warnings.patch
	make -j$JOBS install \
		DESTDIR=$root \
		BINDIR=/gales/pkg/$Q/bin \
		MANDIR=/gales/pkg/$Q/man \
		RUN_DIR=/var/run/mdadm
}

check () {
	# There's a "test" script but it's invasive (pokes at the full system).
}

package () {
	cd $P-$V
	f gales/pkg/$Q/doc/ANNOUNCE-3.4
	f gales/pkg/$Q/doc/ChangeLog
	f gales/pkg/$Q/doc/README.initramfs
	cd ../root/gales/pkg
	a gales/pkg/$Q
	l gales/pkg/$P $Q
	l gales/command/mdadm ../pkg/$P/bin/mdadm
	l gales/command/mdmon ../pkg/$P/bin/mdmon
	l gales/doc/$P ../pkg/$P/doc
	l gales/man/$P ../pkg/$P/man
}
