P=acpica
V=20160729
MAJOR=0
MINOR=0

# Build requires: bison flex

S="
acpica-unix-20160729.tar.gz https://acpica.org/sites/acpica/files/acpica-unix-$V.tar.gz
"

SHA512="
37b0439b03e8d811c8b14d0c7c89471989227fb78b462f585c6290431afecc5b258073e568dde8dc982fa959ebce4b4d51589ea997f0066e66d4785ce185ccf2  acpica-unix-20160729.tar.gz
"

build () {
	root=$PWD/root
	tar xzf acpica-unix-$V.tar.gz
	cd acpica-unix-$V
	make -j$JOBS iasl
	make install PREFIX=/gales/pkg/$Q DESTDIR=$root iasl
}

# mechanism for running tests not present in makefiles

package () {
	cd root/gales/pkg
	a gales/pkg/$Q
	l gales/pkg/$P $Q
	l gales/command/iasl ../pkg/$P/bin/iasl
}

