P=diffstat
V=1.60
MAJOR=0
MINOR=0

S="
$P-$V.tgz
Makefile
diffstat-feature-cleanup.patch
"

SHA512="
6cbcff7dfe6d51583d59d2c9dfe4cb958202491ca3c4b1096616380564a1842065434d30858c55c3ddcfc76cd07b58dfc4c4cb6cfdcf6346af60998170f51bd2  diffstat-1.60.tgz
"

build () {
	root=$PWD/root
	tar xzf $P-$V.tgz
	cd $P-$V
	rm -rf aclocal.m4 config* install-sh makefile.* package porting
	tabify 4 diffstat.c # from gales-util
	patch -p1 <../diffstat-feature-cleanup.patch
	cp ../Makefile .
	make
}

check () {
	cd $P-$V
	make check
}

package () {
	cd $P-$V
	X gales/pkg/$Q/bin/diffstat
	f gales/pkg/$Q/doc/README
	f gales/pkg/$Q/doc/CHANGES
	f gales/pkg/$Q/doc/COPYING
	f gales/pkg/$Q/man/man1/diffstat.1
	l gales/pkg/$P $Q
	l gales/command/diffstat ../pkg/$P/bin/diffstat
	l gales/doc/$P ../pkg/$P/doc
	l gales/man/$P ../pkg/$P/man
}
