P=ethtool
V=5.4
MAJOR=0
MINOR=0

S="
$P-$V.tar.gz
ethtool-5.4-drop-autoconf-macros.patch
Makefile
"

SHA512="
40bffca77b392752fcd8f4779c4a314262db24c6f09cb982a128e99e6f21b2e0d382f8b994c70df7e929c52d6cdfa764900469b03f783eb5df9b8bd651498679  ethtool-5.4.tar.gz
"

build () {
	tar xzf $P-$V.tar.gz
	cd $P-$V
	rm -f Makefile.am Makefile.in aclocal.m4 compile configure configure.ac depcomp install-sh missing
	rm -f ethtool-config.h.in ethtool.8.in
	patch -p1 <../ethtool-5.4-drop-autoconf-macros.patch
	cp ../Makefile .
	mkdir test-obj
	make -j$JOBS
}

check () {
	cd $P-$V
	make check
}

package () {
	cd $P-$V
	f gales/pkg/$Q/doc/AUTHORS
	f gales/pkg/$Q/doc/NEWS
	X gales/pkg/$Q/bin/ethtool
	f gales/pkg/$Q/man/man8/ethtool.8
	l gales/pkg/$P $Q
	l gales/command/ethtool ../pkg/$P/bin/ethtool
	l gales/doc/$P ../pkg/$P/doc
	l gales/man/$P ../pkg/$P/man
}
