# To bootstrap, this package can be built using "sh gbuild-run.sh"

P=gales-util
V=94K
MAJOR=0
MINOR=7

S="
ar.sh
chk-manifest
fmt-manifest
gales-mirror-sync
gbuild
gbuild-run.sh
gbuild-sub.sh
gbuild.conf
gen-manifest
gpkg-install
mkparts
tabify
xtermsize
"

build () {
	sed '/^sub=/ s:$PWD/..:/gales/pkg/gales-util:' gbuild-run.sh >tmp
	mv -f tmp gbuild-run.sh
	sed 's:\./ar\.sh:/gales/pkg/gales-util/ar.sh:' gbuild-sub.sh >tmp
	mv -f tmp gbuild-sub.sh
}

package () {
	f gales/pkg/$Q/ar.sh
	f gales/pkg/$Q/gbuild-run.sh
	f gales/pkg/$Q/gbuild-sub.sh
	x gales/pkg/$Q/chk-manifest
	x gales/pkg/$Q/fmt-manifest
	x gales/pkg/$Q/gen-manifest
	cmds="gales-mirror-sync gbuild gpkg-install mkparts tabify xtermsize"
	for c in $cmds; do x gales/pkg/$Q/$c; done
	l gales/pkg/$P $Q
	for c in $cmds; do l gales/command/$c ../pkg/$P/$c; done
	d gales/dist/pkg
	d gales/dist/src
	d etc/gpkg-wot
	f etc/examples/gbuild.conf
}
