P=links
V=1.03
MAJOR=0
MINOR=2

# TODO: Investigate (probably kill) the unix socket mechanism for talking to
# another links process

S="
links-1.03.tar.gz
Changes.gales
Makefile
config.h
links-1.03-ua-privacy.patch
links-1.03-kill-blacklist.patch
links-1.03-config.patch
links-1.03-kill-strftime.patch
"

SHA512="
56b1e24ee50bfa4a6d91c854fac58797c731713185747b3d4c6be30f4dde80350f4986841b142f460e8c9d82ba1a18a285792f9a6cd3c3f559f8d6077dd6141c  links-1.03.tar.gz
"

build () {
	tar xf $P-$V.tar.gz
	cd $P-$V
	patch -p1 <../links-1.03-ua-privacy.patch
	patch -p1 <../links-1.03-kill-blacklist.patch
	patch -p1 <../links-1.03-config.patch
	patch -p1 <../links-1.03-kill-strftime.patch
	rm -f Makefile* acconfig.h config* install-sh missing mkinstalldirs rebuild* stamp-h.in
	cp ../Makefile ../config.h .
	make -j$JOBS
}

package () {
	p=gales/pkg/$Q
	cd $P-$V
	X $p/bin/links
	f $p/man/man1/links.1
	f $p/doc/README
	f $p/doc/ChangeLog
	cd ..
	f $p/doc/Changes.gales

	l gales/pkg/$P $Q
	l gales/command/links ../pkg/$P/bin/links
	l gales/doc/$P ../pkg/$P/doc
	l gales/man/$P ../pkg/$P/man
}
