P=man-pages
V=4.13
MAJOR=0
MINOR=0

S="
$P-$V.tar.xz https://www.kernel.org/pub/linux/docs/man-pages/$P-$V.tar.xz
"
# ^ yes, they broke HTTP.

SHA512="
86479372cbe2ba5fcad3e2049f52ec788a4aa2d8056cadf7b248eaa776064e1c9387a42d0a77f4bde4385214c11aac117b1e99745459260ca639c656c01698b7  man-pages-4.13.tar.xz
"

build () {
	tar xJf $P-$V.tar.xz
}

package () {
	cd $P-$V
	r=gales/pkg/$Q
	for s in 1 2 3 4 5 6 7 8; do
		a gales/pkg/$Q/man/man$s
	done
	f $r/doc/Changes
	f $r/doc/Changes.old
	f $r/doc/README
	f $r/doc/$P-$V.Announce
	l gales/pkg/$P $Q
	l gales/doc/$P ../pkg/$P/doc
	l gales/man/$P ../pkg/$P/man
	i 'Remember to run "makewhatis" to update the man database'
}
